package com.ar.drawing.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;

import androidx.appcompat.app.AppCompatActivity;

import com.ar.drawing.databinding.ActivityWelBinding;
import com.ar.drawing.others.MyUtils;

public class WelActivity extends AppCompatActivity {

    private ActivityWelBinding binding;
    private long time = 1000;
    private CountDownTimer countDownTimer;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ActivityWelBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());
        MyUtils.setStatusBarTextColor(this, true);


        countDownTimer= new CountDownTimer(time,100) {
            @Override
            public void onTick(long millisUntilFinished) {
                int progressPercentage = (int) ((100 * millisUntilFinished) / time);
                int Percentage = 100 - progressPercentage;
                binding.loadingPb.setProgress(Percentage);
            }

            @Override
            public void onFinish() {
                enterMain();
            }
        };
        countDownTimer.start();
    }
    private void enterMain() {
        binding.loadingPb.setProgress(100);
        Intent intent = new Intent(WelActivity.this, HomeActivity.class);
        startActivity(intent);
        finish();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (countDownTimer != null) {
            countDownTimer.cancel();
        }
    }
}